From 54e137d21d6ef46604a59c2ec68fb4ac1a08cc58 Mon Sep 17 00:00:00 2001
From: Pierre <pierre.ducroquet@people-doc.com>
Date: Fri, 2 Feb 2018 11:29:57 +0100
Subject: [PATCH 6/6] Fix segfault with LLVM 3.9

---
 src/backend/lib/llvmjit.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/lib/llvmjit.c b/src/backend/lib/llvmjit.c
index 046cd53ef3..6102b741b0 100644
--- a/src/backend/lib/llvmjit.c
+++ b/src/backend/lib/llvmjit.c
@@ -459,12 +459,12 @@ llvm_session_initialize(void)
 
 	cpu = LLVMGetHostCPUName();
 	llvm_opt0_targetmachine =
-		LLVMCreateTargetMachine(llvm_targetref, llvm_triple, cpu, NULL,
+		LLVMCreateTargetMachine(llvm_targetref, llvm_triple, cpu, "",
 								LLVMCodeGenLevelNone,
 								LLVMRelocDefault,
 								LLVMCodeModelJITDefault);
 	llvm_opt3_targetmachine =
-		LLVMCreateTargetMachine(llvm_targetref, llvm_triple, cpu, NULL,
+		LLVMCreateTargetMachine(llvm_targetref, llvm_triple, cpu, "",
 								LLVMCodeGenLevelAggressive,
 								LLVMRelocDefault,
 								LLVMCodeModelJITDefault);
-- 
2.15.1

